Get a single provider by ID
GET
/api/v1/providers/{providerId}
const url = 'https://api.yggy.tech/api/v1/providers/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/providers/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” providerId
required
string
Responses
Section titled “ Responses ”Provider details
Media type application/json
object
provider
required
object
id
required
string
organizationId
required
string
userId
required
string | null
type
required
string
name
required
string
status
required
string
config
required
object
key
additional properties
detail
required
string | null
lastSyncAt
required
string | null
failingSince
required
Start of the current run of failed syncs; null while syncs work.
string | null
lastErrorClass
required
Why the last sync failed. Never the provider’s own error text.
string | null
createdAt
required
string
updatedAt
required
string
Example
{ "provider": { "type": "jira", "status": "connected", "lastErrorClass": "provider_error" }}No active organization
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not authenticated
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Provider not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}